Home | All Classes | Grouped Classes | Index | Search

# CL_DomNode::clone_node

Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes.

    	CL_DomNode clone_node(
    		bool deep);

Parameters:

deep
  If true, recursively clone the subtree under the specified node; if false, clone only the node itself (and its attributes, if it is an Element).

Detailed description:

The duplicate node has no parent.

Cloning an Element copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child Text node. Cloning any other type of node simply returns a copy of this node.

See also:

CL_DomNode

Questions or comments, write to the ClanLib mailing list.